opening auth page fails with "kdemain: reconq is already running"

Bug #629079 reported by Riccardo Angelino on 2010-09-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-launchpadlib (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: apport

I have a problem with "apport-collect bugnumber" does not work
correctly.

When I launch the command open the web browser, once
approved authentication does not make me bring the bug.

In the terminal appear a series of errors.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: apport 1.14.1-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic x86_64
Architecture: amd64
CrashReports: 644:108:4:2937:2010-09-02 20:00:01.708185001 +0000:2010-09-02 20:00:01.708185001 +0000:/var/crash/linux-image-2.6.35-19-generic.229995.crash
Date: Thu Sep 2 20:17:33 2010
LiveMediaBuild: Kubuntu 10.10 "Maverick Meerkat" - Beta amd64 (20100902.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: apport

---
Architecture: amd64
DistroRelease: Ubuntu 11.04
LiveMediaBuild: Kubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110303)
LiveMediaBuild_: Kubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110303)
LiveMediaBuild__: Kubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110303)
Package: python-launchpadlib 1.9.7-0ubuntu2
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
ProcVersionSignature_: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
ProcVersionSignature__: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Tags: natty natty natty
Uname: Linux 2.6.38-5-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

description: updated
description: updated
description: updated
tags: added: iso-testing
Martin Pitt (pitti) on 2010-12-01
Changed in apport (Ubuntu Natty):
assignee: nobody → Martin Pitt (pitti)

The bug was fixed.
But there is another problem.
When I start the command, you open the browser, but does not work.
See the picture for the error.

PS: tested with:
Kubuntu amd 64
MD5SUM: da0b536c2c996fd791fc69a96d2fcc67
VERSION: 20110105

Martin Pitt (pitti) wrote :

The screenshot you posted shows that this happens in python-launchpadlib when trying to open the authentication page in the web browser.

summary: - apport will not work
+ opening auth page fails with "kdemain: reconq is already running"
affects: apport (Ubuntu Natty) → python-launchpadlib (Ubuntu Natty)
Changed in python-launchpadlib (Ubuntu Natty):
assignee: Martin Pitt (pitti) → nobody
Changed in python-launchpadlib (Ubuntu Natty):
status: New → Confirmed

The error persists with Kubuntu amd64
Version: 20110202
MD5SUM: 031b5bebaf94cd7622a8b9b2be1336f6

Changed in python-launchpadlib (Ubuntu Natty):
milestone: none → natty-alpha-3
Kate Stewart (kate.stewart) wrote :

Could this be related to bug:711513 now?

I believe it is not related to bug 711513.

Martin Pitt (pitti) on 2011-03-01
Changed in python-launchpadlib (Ubuntu Natty):
milestone: natty-alpha-3 → none

The bug has been fixed, apport-collect works, but it came out another error in the terminal.
See attachment.

Tested Natty Kubuntu amd64 Alpha 3 20110301.3
MD5SUM: 8b7086880c0021fd67aa9013f3e6b5ef

Changed in python-launchpadlib (Ubuntu Natty):
milestone: none → ubuntu-11.04-beta-1

apport information

tags: added: apport-collected natty
description: updated

I have the same problem with ubuntu lucid 10.04.02.
But the application quits without even opening your browser.

Martin Pitt (pitti) on 2011-03-31
Changed in python-launchpadlib (Ubuntu Natty):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04-beta-2
Jonathan Riddell (jr) wrote :

I can't recreate this problem, on a fresh install from today's daily I run apport-collect and I do get that "Rekonq is already running" on the output but a new tab opens in Rekonq and I can authenticate through launchpad as expected.

Jonathan Riddell (jr) wrote :

I can't recreate it from today's live image either

Changed in python-launchpadlib (Ubuntu Natty):
status: Confirmed → Fix Released
Adolfo Jayme (fitojb) on 2013-07-06
no longer affects: python-launchpadlib (Ubuntu Maverick)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers